public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
* [tests/selinux] pr775-checkpolicy-revdeps: selinux-policy/switcheroo-control-and-similar: Adjust subtest relevancy
@ 2026-09-11 13:23 Stepan Broz
  0 siblings, 0 replies; only message in thread
From: Stepan Broz @ 2026-09-11 13:23 UTC (permalink / raw)
  To: git-commits

            A new commit has been pushed.

            Repo   : tests/selinux
            Branch : pr775-checkpolicy-revdeps
            Commit : ac9d3e14dd3dfa1fc93e93d1d6cda243d0eff37a
            Author : Stepan Broz <sbroz@redhat.com>
            Date   : 2026-02-23T13:14:09+00:00
            Stats  : +6/-4 in 1 file(s)
            URL    : https://src.fedoraproject.org/tests/selinux/c/ac9d3e14dd3dfa1fc93e93d1d6cda243d0eff37a?branch=pr775-checkpolicy-revdeps

            Log:
            selinux-policy/switcheroo-control-and-similar: Adjust subtest relevancy

RHEL-93335 fixed in RHEL-9.7
RHEL-93535 fixed in RHEL-10.1

Do not test for lower versions.

---
diff --git a/selinux-policy/switcheroo-control-and-similar/runtest.sh b/selinux-policy/switcheroo-control-and-similar/runtest.sh
index f95007b..3d972e1 100755
--- a/selinux-policy/switcheroo-control-and-similar/runtest.sh
+++ b/selinux-policy/switcheroo-control-and-similar/runtest.sh
@@ -80,10 +80,12 @@ rlJournalStart
         rlSESearchRule "allow switcheroo_control_t unconfined_t : dbus { send_msg } [ ]"
     rlPhaseEnd
 
-    rlPhaseStartTest "RHEL-93335 + RHEL-93535"
-        rlSESearchRule "allow xdm_t switcheroo_control_t : dbus { send_msg } [ ]"
-        rlSESearchRule "allow switcheroo_control_t xdm_t : dbus { send_msg } [ ]"
-    rlPhaseEnd
+        if ! rlIsRHEL "<9.7" && ! ( rlIsRHEL 10 && rlIsRHEL "<10.1" ); then
+        rlPhaseStartTest "RHEL-93335 + RHEL-93535"
+            rlSESearchRule "allow xdm_t switcheroo_control_t : dbus { send_msg } [ ]"
+            rlSESearchRule "allow switcheroo_control_t xdm_t : dbus { send_msg } [ ]"
+        rlPhaseEnd
+        fi
     fi
 
     if [ -f /usr/lib/systemd/system/${SERVICE_NAME}.service ] ; then

^ permalink raw reply related	[flat|nested] only message in thread

only message in thread, other threads:[~2026-09-11 13:23 UTC | newest]

Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2026-09-11 13:23 [tests/selinux] pr775-checkpolicy-revdeps: selinux-policy/switcheroo-control-and-similar: Adjust subtest relevancy Stepan Broz

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox